Story1/urls.py
from django.urls import path
from . import views

app_name = 'Story1'

urlpatterns = [
	path('', views.index , name = 'index'),
	path('story1/', views.index2 , name = 'story1')
]

Story6/urls.py
from django.urls import path
from . import views

app_name = 'Story6'

urlpatterns = [
	path('', views.daftaracara , name = 'daftaracara'),
	path('addevent', views.addevent , name = 'addevent'),
	path('deleteevent', views.deleteevent , name = 'deleteevent'),
	path('addparticipant', views.addparticipant , name = 'addparticipant'),
	path('removeparticipant', views.removeparticipant , name = 'removeparticipant')
]

Story_PPW/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('Story1.urls')),
    path('story3/', include('Story3.urls')),
    path('story4/', include('Story4.urls')),
    path('story5/', include('Story5.urls')),
    path('story6/', include('Story6.urls')),
    path('story7/', include('Story7.urls')),
    path('story8/', include('Story8.urls')),
    path('story9/', include('Story9.urls')),
]

Story6/models.py
from django.db import models

# Create your models here.
class Acara(models.Model):
    namaacara = models.CharField('Nama ', max_length=100)
    
    def __str__(self):
        return self.namaacara

class Peserta(models.Model):
    acara = models.ForeignKey(Acara, on_delete = models.CASCADE)
    nama = models.CharField('Nama ', max_length=100)

    def __str__(self):
        return self.nama 

Story6/forms.py
from django.forms import ModelForm
from django import forms
from .models import Acara, Peserta


class AcaraForm(ModelForm):
    class Meta:
        model = Acara
        fields = '__all__'
        widgets = {
            'namaacara': forms.TextInput(attrs={
                'placeholder': "Input your event",
            }),
        }


class PesertaForm(ModelForm):
    class Meta:
        model = Peserta
        fields = '__all__'
        widgets = {
            'nama': forms.TextInput(attrs={
                'placeholder': "Input name here",
            }),
        }

Story6/views.py
from django.shortcuts import render, redirect, resolve_url
from django.http import HttpResponse, HttpResponseRedirect
from django.urls import reverse
from .forms import AcaraForm, PesertaForm
from .models import Acara, Peserta

# Create your views here.


def daftaracara(request):
    formAcara = AcaraForm()
    formPeserta = PesertaForm()
    acaras = Acara.objects.all()
    pesertas = Peserta.objects.all()
    acarapeserta = [(i, Peserta.objects.filter(acara=i)) for i in acaras]
    content = {
        'acaraform': formAcara,
        'pesertaform': formPeserta,
        'acarapeserta': acarapeserta
    }
    return render(request, 'Story6/index.html', content)

def addevent(request):
    form = AcaraForm(request.POST or None)
    if (request.method=="POST" and form.is_valid):
        form.save()
    return redirect(reverse('Story6:daftaracara'))

def addparticipant(request):
    form = PesertaForm(request.POST or None)
    if (request.method=="POST" and form.is_valid):
        form.save()
    return redirect(reverse('Story6:daftaracara'))

def deleteevent(request):
    acaraid = request.POST.get('event_id',None)
    acara = Acara.objects.get(id=acaraid)
    acara.delete()
    return redirect(reverse('Story6:daftaracara'))

def removeparticipant(request):
    participantid = request.POST.get('peserta_id',None)
    participant = Peserta.objects.get(id=participantid)
    participant.delete()
    return redirect(reverse('Story6:daftaracara'))

Story6/templates/Story6/index.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story6/css/style6.css' %}">
{% endblock %}

{% block title %}My Events{% endblock %}

{% block content %}
{% include 'navbar.html' %}


<div class="fluid-container event-container mx-auto">
    <p class="judul text-center mb-4">My Events</p>
    
    <div class= "d-flex flex-wrap justify-content-center mb-5">
        {% if not acarapeserta %}
            <p class="text-center" style=font-size:1.5rem >Sorry, there is no event in here</p>
        {% endif %}
        {% for acara in acarapeserta %}
        <div class="card text-center mx-3" style="width: 18rem;">
            <div class = "text-left px-2 pt-2" style="background-color: #2c2c2c;">
                <form action= "{% url 'Story6:deleteevent' %}" method="POST" style="display: inline; margin: 5px;">
                    {% csrf_token %}
                    <input name="event_id" value="{{acara.0.id}}" type="hidden">
                    <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white;"><i class="fas fa-trash-alt"></i></button>
                </form>
            </div>

            <div class="card-body d-flex flex-column pt-0">
                <h5 class="card-title">{{ acara.0.namaacara }}</h5>
                {% if not acara.1 %}
                <p class="card-text m-0">Still waiting for Participant(s)</p> 
                {% endif %}
                {% for peserta in acara.1%}
                <div class = "d-flex align-items-center justify-content-center m-1">
                    <p class="card-text m-0">{{peserta}}</p> 
                    <form action= "{% url 'Story6:removeparticipant' %}" method="POST" style="display: inline; margin: 5px;">
                    {% csrf_token %}
                    <input name="peserta_id" value="{{peserta.id}}" type="hidden">
                    <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white; font-size: 0.8rem;"><i class="fas fa-trash-alt"></i></button>
                </form>
                </div>
                
                {% endfor %}
                <br>
                <div class="mt-auto">
                    <h1 class="text-left" style="font-size: 1rem;">Add Participant</h1>
                    <form action = "{% url 'Story6:addparticipant' %}" method = "POST">
                        {% csrf_token %}
                        <input type="hidden" name="acara" value="{{ acara.0.id }}">
                        {{pesertaform.nama}} 
                        <button type="submit" class="btn btme btn-dark float-right mt-2"> Add Participant </button>
                    </form>    
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
   
        
    <h1 class="text-center">Add event here</h1>
    <div class="row justify-content-center">
        <form action = "{% url 'Story6:addevent' %}" method = "POST">
            {% csrf_token %}
            {{acaraform.namaacara}}
            <div class="row justify-content-center">
                <button type="submit" class="btn btme btn-dark mt-2"> Add Event </button>
            </div>
        </form>
    </div>
    
</div>



    
{% include 'footer.html' %}

{% endblock %}